Post by thbr02 » Fri Oct 17, 2014 4:49 pm

Iv'e installed OC 2 and try to use the Extension installer without any success. When I try to upload the extension nothing happens. I don't get any error message and I can not see any sign of activity at all. Suggestions please how to fix this error.

Active Member

Posts

Joined
Wed Jun 22, 2011 10:30 pm
Location - Sweden

Post by Xyph3r » Fri Oct 17, 2014 6:44 pm

Did you configured the FTP?

Also..what kind of extension are you trying to upload? .ocmod.xml or .ocmod.zip?

ImageImageImage
Opencart Templates, Modules, Themes & Custom Development | ShopThemer


User avatar
Active Member

Posts

Joined
Sun Feb 10, 2013 1:08 am


Post by thbr02 » Fri Oct 17, 2014 7:55 pm

Now I have been able to use the installer, but it doesn't work in IE11. When I tried with Chrome it worked.

There are more extensions which doesn't work for me in IE. I don't know why.

Still I get an error that the admin/controller/extension/installer.php already exists, but the extension seems to be installe anyway.

Active Member

Posts

Joined
Wed Jun 22, 2011 10:30 pm
Location - Sweden

Post by ukracer » Mon Oct 20, 2014 3:21 am

Xyph3r wrote:Did you configured the FTP?

Also..what kind of extension are you trying to upload? .ocmod.xml or .ocmod.zip?
does it have to say .ocmod as well as .xml??

Active Member

Posts

Joined
Wed Oct 03, 2012 6:36 am

Post by OpenCart Addons » Mon Oct 20, 2014 9:28 pm

Yes it does.

Modification files must end in .ocmod.xml, and zip files must end in .ocmod.zip.


Cheers,
Joel.

Canada's Leading Expert In OpenCart Development & Certified OpenCart Development Partner Image


User avatar
Active Member

Posts

Joined
Thu Nov 24, 2011 10:51 am
Location - Canada

Post by thbr02 » Mon Oct 20, 2014 11:21 pm

Now it doesn't work in Chrome either. Nothin happens at all when uploading files. Iv'e tried both with .ocmod.xml and .ocmod.zip files.

Active Member

Posts

Joined
Wed Jun 22, 2011 10:30 pm
Location - Sweden

Post by OpenCart Addons » Tue Oct 21, 2014 12:05 am

There have been a couple patches to the extension installer system. Try downloading the latest version of the master from Github.


Cheers,
Joel.

Canada's Leading Expert In OpenCart Development & Certified OpenCart Development Partner Image


User avatar
Active Member

Posts

Joined
Thu Nov 24, 2011 10:51 am
Location - Canada

Post by thbr02 » Tue Oct 21, 2014 3:55 am

Iv'e just uploaded the latest master of OC. Now I'm geting a bit further. But there are still problem. When trying to upload a .ocmod.xml file I get the error

Code: Select all

Modification requires a unique ID code!
and when trying to upload a .ocmod.zip file I get the error starting with

Code: Select all

SyntaxError: Unexpected token <
.

Active Member

Posts

Joined
Wed Jun 22, 2011 10:30 pm
Location - Sweden

Post by delick » Tue Oct 21, 2014 4:41 am

Code: Select all

Modification requires a unique ID code!
You need to add <code> in your ocmod, for example:

<code>1</code>

Newbie

Posts

Joined
Mon Apr 22, 2013 6:50 am

Post by thbr02 » Tue Oct 21, 2014 2:45 pm

Where in the code am I supposed to add this? When I download extensions from the Opencart Extension site there are none af the extensions with this ID code. Why is it so?

Active Member

Posts

Joined
Wed Jun 22, 2011 10:30 pm
Location - Sweden

Post by thbr02 » Tue Oct 21, 2014 2:48 pm

Where in the code am I supposed to add this? When I download extensions from the Opencart Extension site there are none af the extensions with this ID code. Why is it so?

Active Member

Posts

Joined
Wed Jun 22, 2011 10:30 pm
Location - Sweden

Post by OpenCart Addons » Wed Oct 22, 2014 3:33 am

Make sure that the extensions you downloaded are not for vQmod. vQmod extensions will not work with the OCMod system and will require vQmod to run.


Regards,
Joel.

Canada's Leading Expert In OpenCart Development & Certified OpenCart Development Partner Image


User avatar
Active Member

Posts

Joined
Thu Nov 24, 2011 10:51 am
Location - Canada

Post by ukracer » Wed Oct 22, 2014 7:26 am

OpenCart Addons wrote:Make sure that the extensions you downloaded are not for vQmod. vQmod extensions will not work with the OCMod system and will require vQmod to run.


Regards,
Joel.
Is all this actually an improvement? It seems extremely confusing to me. :(

Active Member

Posts

Joined
Wed Oct 03, 2012 6:36 am

Post by OpenCart Addons » Thu Oct 23, 2014 3:54 am

Daniel was attempting to incorporate a similar system to vqmod into the core system for v2.0, but in the process changed a lot of the key functionality which breaks all vqmods.

v2.5.1 of vqmod works with OpenCart v2.0. I would recommend using that until OCMod is sorted out. Most developers are holding off on porting over their systems to OCMod because it keeps changing in the master branch of OC.



Cheers,
Joel.

Canada's Leading Expert In OpenCart Development & Certified OpenCart Development Partner Image


User avatar
Active Member

Posts

Joined
Thu Nov 24, 2011 10:51 am
Location - Canada

Post by icreator » Tue Dec 30, 2014 2:05 pm

I try install on OC2.0.1.1 my module *.zip
but error

New member

Posts

Joined
Wed Dec 24, 2014 5:51 pm


Post by akhijoe » Tue Feb 17, 2015 10:59 am

Ahh... thought I'm the only one facing this.

It works few days ago on Chrome. SUDDENLY, it stop working. I click upload & select files but NONE happen.

Bar's not moving, no error, no success note.

Newbie

Posts

Joined
Wed Dec 18, 2013 4:06 pm

Post by skystis » Thu Dec 31, 2015 2:31 am

I have this problem too when I have uploaded theme with extensions installer. I do not know where I need to write this code. Theme is bolshopdark.theme.ocmod.zip

Newbie

Posts

Joined
Wed Dec 30, 2015 8:37 am

Post by clorne » Fri Jan 01, 2016 5:09 pm

It may help to read
OCMOD an introduction and installation guide for OpenCart users - at

http://ocextensions.co.uk/ocmod/ocmod

Active Member

Posts

Joined
Fri Dec 23, 2011 6:03 pm

Post by deadbeat » Thu Jan 07, 2016 5:23 am

Hi
I am trying to install via the extension installer OCA_AddToCartButtonRedirect(v6.1.2) install.ocmod.zip.
I have used both chrome and Firefox on Mac.
the upload only goes so far then gives me an error

*************************************************
Method Not Implemented
Method Not Implemented

<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">
<html><head>
<title>501 Method Not Implemented</title>
</head><body>
<h1>Method Not Implemented</h1>
<p>GET to /admin/index.php not supported.<br />
</p>
<p>Additionally, a 501 Method Not Implemented
error was encountered while trying to use an ErrorDocument to handle the request.</p>
</body></html>
**********************************

What is the problem?

Thanks

Deadbeat


Newbie

Posts

Joined
Fri Jan 01, 2016 5:29 am

Post by KatGirl » Sun Jun 05, 2016 12:47 pm

I have the same problem. Same error.

501 Not Implemented

Any suggestions?

Update: I fixed the issue by using iSenseLabs FTP Fix found here: iSenseLabs FTP Fix
Last edited by KatGirl on Sun Jun 05, 2016 1:11 pm, edited 1 time in total.

User avatar
New member

Posts

Joined
Tue Sep 21, 2010 11:23 am
Who is online

Users browsing this forum: No registered users and 7 guests